aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
commit96bb6d453405ed3a7bd03201192861a0ae272573 (patch)
treef918380a1324ea2db83f46cdbf4aab64936714d1 /paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
parent18d668cc92656764cdac4eaafd643b068897eca1 (diff)
downloadpaludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.gz
paludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.xz
Use ${builddir}/${CATEGORY}-${PF} instead of ${builddir}/${CATEGORY}/${PF}, to avoid userpriv subtleties.
Diffstat (limited to 'paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash')
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash10
1 files changed, 5 insertions, 5 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
index 7646996f2..482a4f8c9 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_tidyupmisc.bash
@@ -18,13 +18,13 @@
builtin_tidyupmisc()
{
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
if type -p chflags &>/dev/null; then
- echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove flags from workdir"
+ echo chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
fi
- echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" 1>&2
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-misc" || die "Couldn't remove work"
+ echo rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" 1>&2
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove work"
fi
}